You can now retrieve the location place ID in pending invitations through the Account Management API. For all recent Google Business Profile API updates, visit the Latest Updates page.
Invites the specified user to become an administrator for the specified account. The invitee must accept the invitation in order to be granted access to the account. See [invitations.accept]
[google.mybusiness.accountmanagement.v1.AcceptInvitation] to programmatically accept an invitation.
HTTP request
POST https://mybusinessaccountmanagement.googleapis.com/v1/{parent=accounts/*}/admins
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2024-10-16 UTC."],[],["This describes the process of inviting a user to become an account administrator. A `POST` request is sent to `https://mybusinessaccountmanagement.googleapis.com/v1/{parent=accounts/*}/admins`, specifying the `parent` account ID in the path. The request body includes details of the new admin, and a successful response returns the created admin details. The user invited must accept, using the given method. Authorization requires the `https://www.googleapis.com/auth/business.manage` OAuth scope.\n"]]